Subject: Re: ForCES MIB: 1st draft

From: "Khosravi, Hormuzd M" <[email-masked]>
Date: Tue, 25 Oct 2005 18:02:28 -0700

I believe this is what the MIB is doing...I just looked at the MIB draft.
It looks like a good design to me though there are lots of editorial problems with the draft itself.

Good work Robert!

Regards
Hormuzd

-----Original Message-----
From: Forwarding and Control Element Separation [mailto:[email-masked]] On Behalf Of Joel M. Halpern
Sent: Tuesday, October 25, 2005 5:31 PM
To: [email-masked]
Subject: Re: [FORCES] ForCES MIB: 1st draft

I would hope we don't try to duplicate all the ForCES information into the MIB.
While one could imagine trying to use SNMP to remotely control a CE, so as 
to control the FE, I had thought that was not the goal.

Hence, the ForCES MIB is about control the protocol, not the model 
objects.  It would report, as seen by the CE, what the protocol is 
doing.  (I would expect it to include some of the statistics Robert refers 
to in his Note.)
If we want to allow "set"s at all, I suppose we could allow setting the 
heartbeat interval.
We might want to make visible a view FE attributes like the FE 
understanding of the protocol version.

But I hope we are not going to try to get the LFB support information, LFB 
topology, etc into the MIB.

Yours,
Joel

At 06:51 AM 10/25/2005, Tom Petch wrote:
>I would have thought there was a need for an NE MIB which has a table giving
>details of the CE and FE, their ids, capabilities and so on, rather than
>inferring that from a list of associations
>
>Tom Petch
>
>----- Original Message -----
>From: "Robert Haas" <[email-masked]>
>To: <[email-masked]>
>Sent: Monday, October 24, 2005 4:51 PM
>Subject: Re: ForCES MIB: 1st draft
>
>
>Hi All,
>The -00 version of the ForCES MIB draft is in the repository:
>
>http://www.ietf.org/internet-drafts/draft-haas-forces-mib-00.txt
>
>Comments and contributions welcome.
>
>Regards,
>-Robert
>
>--
>Dr. Robert R. Haas
>IBM Zurich Research Laboratory
>Säumerstrasse 4
>CH-8803 Rüschlikon/Switzerland
>phone +41-44-724-8698  fax +41-44-724-8578  http://www.zurich.ibm.com/~rha